LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XGalleryItem Interface Reference

provides access to a single item of a Gallery theme. More...

`import"XGalleryItem.idl";`

Inheritance diagram for XGalleryItem:

## Public Member Functions
byte | getType ()
| retrieves the type of the Gallery item More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a single item of a Gallery theme.

## Member Function Documentation

byte getType | ( |  | ) |

retrieves the type of the Gallery item

Returns
  The type of the Gallery item

See also
  GalleryItemType

The documentation for this interface was generated from the following file:

- com/sun/star/gallery/XGalleryItem.idl